=== debian/changelog ===
fontforge (1:20190801~dfsg-5ubuntu1) groovy; urgency=medium

  * fix endianness parsing issues in Python bindings (Closes: #961841)
    - debian/patches/fde85b13382595cb3ab889e38570b4944edad808.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 11 Jun 2020 17:50:29 +0200
 

fontforge (1:20190801~dfsg-5) unstable; urgency=medium

  * build-depend on debhelper-compat (not debhelper)
  * simplify rules;
    build-depend on dh-sequence-python3 (not cdbs dh-buildinfo dh-python)
  * stop build-depend on autotools-dev dh-autoreconf
    (superfluous, handled by autoreconf)
  * stop fix executable bit of python libraries
    (handled by dh_python3 now, apparently)
  * check testsuite during build
  * copyright: fix update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 May 2020 20:02:39 +0200

fontforge (1:20190801~dfsg-4) unstable; urgency=high

  * Team upload.
  * debian/control: Set maintainer email to new mailing list.
  * debian/control.in: Also reflect some changes in the .in file.
  * debian/rules: Fix broken dev-dep list for cdbs.
  * debian/copyright:
    + Properly set Upstream-Name and Upstream-Contact.
    + Update license information for AppStream metadata file.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 22:10:07 -0500

fontforge (1:20190801~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/rules:
    + Force python3; link with embedded python3 libs in python3.8.
      (Closes: #949822, #953079)
    + Fix FTCBFS: Let dpkg buildtools.mk set up CC. (Closes: #901174)
    + Add override of libpython3.8-dev for d-shlibmove to circumvent
      build error for now.
  * debian/control:
    + Build-dep on python3-dev instead of python3-all-dev. (Closes: #948016)
    + Bump Standards-Version to 4.5.0.
  * debian/patches: Cherry-pick upstream PR 3922 to fix non-GUI usage.
    (Closes: #952408)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Mar 2020 12:52:24 -0500

fontforge (1:20190801~dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 10.
  * Remove patches missing from debian/patches/series.
  * Set upstream metadata fields: Repository.
  * Fix field name typos in debian/copyright.
  * Fix day-of-week for changelog entries 0.0.20020312-1.

  [ Hideki Yamane ]
  * Note some bug numbers are closed in previous changelog.

 -- Hideki Yamane <henrich@debian.org>  Wed, 13 Nov 2019 21:20:21 +0900

fontforge (1:20190801~dfsg-1) experimental; urgency=medium

  * New upstream version 20190801~dfsg (Closes: #603067, #866690, #912062,
    #895105, #927640, #774274)
  * debian/control{,.in}
    - remove Christian Perrier <bubulle@debian.org> from Uploaders
      (Closes: #894873, #927590)
    - add Rules-Requires-Root: no
    - bump up libfontforge3 from 2
    - migrate to python3 (Closes: #936538)
    - set Multi-Arch: foreign for -common,doc
    - drop gnulib (Closes: #840782)
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - use libfreetype-dev, instead of libfreetype6-dev
    - split to -extras package
    - add potrace to detect it
    - move libgdraw5 to libgdraw6
    - python3-fontforge: add Recommends since some scripts has a dependency
    - remove unnecessary Priority field
  * debian/libpython3.symbols
    - update symbols list
  * debian/rules
    - remove specifying disappear library
    - bump up libfontforge3 from 2
    - not dh_python2, but 3
    - specify --enable-python-scripting and --enable-python-extension
    - just run autoreconf, not debian/autogen.sh and drop gnulib
    - bump up d-shlibs since it supports libpython3 >= 0.88
    - add --enable-tile-path
    - add --enable-debug-raw-points
    - enable gtk UI
    - drop obsolete options
    - add --enable-fontforge-extras
    - enable woff2 (however, it is not used yet...)
    - once disable --with-freetype-source since no package provides those files
  * debian/patches
    - drop unused patches
    - drop unnecessary 2001_repackaging_fixup.patch
    - refresh 2002_avoid_upstream_git_or_pkg.patch
    - add 0003-ignore-osx-files.patch
    - add 0004-fix-wrong-xml-tag.patch
  * debian/copyright
    - update exclude files list
    - use https
    - update copyright year
  * debian/fontforge.install
    - install appdata file (Closes: #857589)
    - add metainfo xml file, too
  * drop debian/autogen.sh, it seems that we don't need gnulib anymore
  * debian/*.manpages
    - fix wrong directory, and specify debian/tmp/x as cdbs workaround
  * drop unused lintian-overrides

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Nov 2019 22:38:57 +0900

fontforge (1:20170731~dfsg-2) unstable; urgency=medium

  [ Hideki Yamane ]
  * debian/control.in
    - drop Suggests: autotrace since it is not in repository anymore
    - drop Conflicts: defoma since it is not in repository anymore
    - drop fontforge-dbg
  * debian/rules
    - set --dbgsym-migration=fontforge-dbg
  * add debian/salsa-ci.yml

  [ Vasudev Kamath ]
  * debian/control:
    - Use Salsa URL for Vcs-* fields.
    - Mark package compliance with Debian policy 4.1.3.
  * debian/rules:
    - Install pkg-config files under multi-arch specific directory.

 -- Hideki Yamane <henrich@debian.org>  Tue, 24 Sep 2019 22:58:14 +0900
