=== debian/control ===
Source: fontforge
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Davide Viti <zinosat@tiscali.it>,
 Hideki Yamane <henrich@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Rogério Brito <rbrito@ime.usp.br>,
 Vasudev Kamath <vasudev@copyninja.info>
XS-Python-Version: all
Build-Depends: cdbs,
 debhelper-compat (= 10),
 dh-sequence-python3,
 libltdl-dev,
 autoconf-archive,
 chrpath,
 shared-mime-info,
 desktop-file-utils,
 libreadline-dev,
 libcairo2-dev,
 libfreetype-dev,
 libgif-dev,
 libjpeg-dev,
 libpango1.0-dev,
 libpng-dev,
 libspiro-dev,
 libtiff5-dev,
 libuninameslist-dev,
 libxml2-dev,
 libxt-dev,
 libglib2.0-dev,
 python3,
 python3-dev,
 uthash-dev,
 d-shlibs (>= 0.88~),
 potrace,
 libwoff-dev,
 libgtk-3-dev,
 pkg-kde-tools
Standards-Version: 4.5.0
Homepage: https://fontforge.github.io/en-US/
Vcs-Git: https://salsa.debian.org/fonts-team/fontforge.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontforge
Rules-Requires-Root: no

Package: fontforge
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge3 (= ${binary:Version}),
 libgdraw6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 fontforge-nox
Suggests:
 fontforge-doc,
 fontforge-extras,
 potrace,
 python3-fontforge,
Description: font editor
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.

Package: fontforge-nox
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 fontforge
Description: font editor - non-X version
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  fontimage - produce a font thumbnail image;
  fontlint  - checks the font for certain common errors;
  sfddiff   - compare two font files.
 .
 This package contains a version of FontForge compiled with support for
 scripting but no GUI, and not require the graphics library.

Package: fontforge-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Breaks:
 fontforge (<< 1:20160404~dfsg-3),
 fontforge-nox (<< 1:20160404~dfsg-3)
Recommends:
 fonts-cantarell,
 fonts-inconsolata
Description: font editor (common files)
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains common arch-independent files.

Package: libfontforge-dev
Section: libdevel
Architecture: any
Depends:
 libfontforge3 (= ${binary:Version}),
 libgdraw6 (= ${binary:Version}),
 ${misc:Depends},
 ${devlibs:Depends}
Description: font editor - runtime library (development files)
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the runtime library's development files.

Package: libfontforge3
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libfontforge2
Replaces:
 libfontforge2
Description: font editor - runtime library
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the runtime library.

Package: libgdraw6
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libgdraw5
Replaces:
 libgdraw5
Description: font editor - runtime graphics and widget library
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the graphics and widget runtime library.

Package: python3-fontforge
Architecture: any
Depends:
 libfontforge3 (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends: 
 fontforge-nox | fontforge,
Breaks:
 python-fontforge
Replaces:
 python-fontforge
Section: python
Description: font editor - Python bindings
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package provides the Python modules (the libraries fontforge and
 psMat) to access a FontForge program for font manipulations.

Package: fontforge-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for fontforge
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package contains the documentation for fontforge.

Package: fontforge-extras
Architecture: any
Multi-Arch: foreign
Depends:
 fontforge-common (= ${source:Version}),
 libfontforge3 (= ${binary:Version}),
 libgdraw6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: font editor - extra programs
 FontForge is a font editor.
 Use it to create, edit and convert fonts
 in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
 and many other formats.
 .
 This package also provides these programs and utilities:
  acorn2sfd
  dewoff
  gwoff
  gfindtable
  gpcl2ttf
  gpfadecrypt
  grmligamarks
  gshowttf
  gstripttc
  gttf2eps
