=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

stem = fontforge
major = 3
lib = lib$(stem)

export CONFIG_SHELL=/bin/bash
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# For cross-friendly CC variable
-include /usr/share/dpkg/buildtools.mk

# avoid libtool files in python3-fontforge or fonts in fontforge-common
export DH_OPTIONS = -X.la -X.ttf

# build with X11 into subdir, to ensure non-X11 build is not missed
export DH_OPTIONS += -O--builddirectory=build/x

DEB_CONFIGURE_EXTRA_FLAGS = \
 --prefix=/usr \
 --libdir=\$${prefix}/lib \
 --mandir=\$${prefix}/share/man \
 --enable-tile-path \
 --enable-debug-raw-points \
 --enable-fontforge-extras \
 --enable-python-scripting=3 \
 --enable-python-extension PYTHON_LIBS='$(shell python3-config --ldflags --embed)'

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build/nox -- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) --without-x
	dh_auto_configure -- \
		$(DEB_CONFIGURE_EXTRA_FLAGS) --enable-gdk

override_dh_auto_build:
	dh_auto_build --builddirectory=build/nox
	dh_auto_build

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- FETCHED_INPUTS=
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build/nox --destdir=debian/tmp/nox
	dh_auto_install --destdir=debian/tmp/x

override_dh_install:
	dh_install --package=fontforge-nox --sourcedir=debian/tmp/nox
	dh_install --no-package=fontforge-nox --sourcedir=debian/tmp/x
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--extralib debian/tmp/x/usr/lib/libgunicode.so \
		--extralib debian/tmp/x/usr/lib/libgutils.so \
		--movedev "debian/tmp/x/usr/include/*" usr/include/ \
		--movedev "debian/tmp/x/usr/lib/pkgconfig/*.pc" usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig \
		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
		--override s/libpython3.8-1.0-dev/libpython3.8-dev/ \
		debian/tmp/x/usr/lib/$(lib).so

override_dh_installdocs:
	dh_installdocs --all -- README AUTHORS

override_dh_strip:
	dh_strip --dbgsym-migration='fontforge-dbg (<< 1:20170731~dfsg-2~)'

# track symbols using pkgkde-symbolshelper
%:
	dh $@ --with pkgkde_symbolshelper
